/rooms
curl --request POST \
--url https://api.daily.co/v1/rooms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "<string>",
"privacy": "<string>",
"properties": {
"nbf": 123,
"exp": 123,
"max_participants": 200,
"enable_people_ui": true,
"enable_cpu_warning_notifications": true,
"enable_pip_ui": true,
"enable_emoji_reactions": true,
"enable_hand_raising": true,
"enable_prejoin_ui": true,
"enable_live_captions_ui": true,
"enable_network_ui": true,
"enable_noise_cancellation_ui": true,
"enable_breakout_rooms": true,
"enable_knocking": true,
"enable_screenshare": true,
"enable_video_processing_ui": true,
"enable_chat": false,
"enable_shared_chat_history": true,
"start_video_off": false,
"start_audio_off": false,
"eject_at_room_exp": false,
"eject_after_elapsed": 123,
"enable_advanced_chat": false,
"enable_hidden_participants": false,
"enable_mesh_sfu": true,
"sfu_switchover": 0.5,
"enable_adaptive_simulcast": true,
"enable_multiparty_adaptive_simulcast": false,
"enforce_unique_user_ids": false,
"experimental_optimize_large_calls": true,
"lang": "en",
"meeting_join_hook": "<string>",
"geo": "NULL",
"rtmp_geo": "The closest available region to the SFU region used by the meeting.",
"disable_rtmp_geo_fallback": false,
"recordings_bucket": {
"bucket_name": "my-daily-recording",
"bucket_region": "ap-south-1",
"assume_role_arn": "arn:aws:iam::555555555555:role/DailyS3AccessRole",
"allow_api_access": true,
"allow_streaming_from_bucket": true
},
"enable_terse_logging": false,
"auto_transcription_settings": {
"language": "de"
},
"enable_transcription_storage": false,
"transcription_bucket": {
"bucket_name": "my-daily-recording",
"bucket_region": "ap-south-1",
"assume_role_arn": "arn:aws:iam::555555555555:role/DailyS3AccessRole",
"allow_api_access": true
},
"recordings_template": "{domain_name}/{room_name}/{epoch_time}.",
"transcription_template": "{domain_name}/{room_name}/{epoch_time}.vtt.",
"enable_dialout": false,
"dialout_config": {
"allow_room_start": false,
"dialout_geo": "ap-south-1",
"max_idle_timeout_sec": 0
},
"streaming_endpoints": [
{
"name": "rtmp_ivs",
"type": "hls",
"hls_config['storage']['path']": "my-bucket-name/my-folder-name",
"hls_config['storage']['path_template']": "<string>",
"hls_config['save_hls_recording']": true,
"hls_config['variants']": [
{
"width": 123,
"height": 123,
"fps": 123,
"bitrate": 123,
"iframe_only": true
}
]
}
],
"permissions": {
"hasPresence": true,
"canSend": true,
"canReceive": {},
"canAdmin": true
}
}
}
EOFimport requests
url = "https://api.daily.co/v1/rooms"
payload = {
"name": "<string>",
"privacy": "<string>",
"properties": {
"nbf": 123,
"exp": 123,
"max_participants": 200,
"enable_people_ui": True,
"enable_cpu_warning_notifications": True,
"enable_pip_ui": True,
"enable_emoji_reactions": True,
"enable_hand_raising": True,
"enable_prejoin_ui": True,
"enable_live_captions_ui": True,
"enable_network_ui": True,
"enable_noise_cancellation_ui": True,
"enable_breakout_rooms": True,
"enable_knocking": True,
"enable_screenshare": True,
"enable_video_processing_ui": True,
"enable_chat": False,
"enable_shared_chat_history": True,
"start_video_off": False,
"start_audio_off": False,
"eject_at_room_exp": False,
"eject_after_elapsed": 123,
"enable_advanced_chat": False,
"enable_hidden_participants": False,
"enable_mesh_sfu": True,
"sfu_switchover": 0.5,
"enable_adaptive_simulcast": True,
"enable_multiparty_adaptive_simulcast": False,
"enforce_unique_user_ids": False,
"experimental_optimize_large_calls": True,
"lang": "en",
"meeting_join_hook": "<string>",
"geo": "NULL",
"rtmp_geo": "The closest available region to the SFU region used by the meeting.",
"disable_rtmp_geo_fallback": False,
"recordings_bucket": {
"bucket_name": "my-daily-recording",
"bucket_region": "ap-south-1",
"assume_role_arn": "arn:aws:iam::555555555555:role/DailyS3AccessRole",
"allow_api_access": True,
"allow_streaming_from_bucket": True
},
"enable_terse_logging": False,
"auto_transcription_settings": { "language": "de" },
"enable_transcription_storage": False,
"transcription_bucket": {
"bucket_name": "my-daily-recording",
"bucket_region": "ap-south-1",
"assume_role_arn": "arn:aws:iam::555555555555:role/DailyS3AccessRole",
"allow_api_access": True
},
"recordings_template": "{domain_name}/{room_name}/{epoch_time}.",
"transcription_template": "{domain_name}/{room_name}/{epoch_time}.vtt.",
"enable_dialout": False,
"dialout_config": {
"allow_room_start": False,
"dialout_geo": "ap-south-1",
"max_idle_timeout_sec": 0
},
"streaming_endpoints": [
{
"name": "rtmp_ivs",
"type": "hls",
"hls_config['storage']['path']": "my-bucket-name/my-folder-name",
"hls_config['storage']['path_template']": "<string>",
"hls_config['save_hls_recording']": True,
"hls_config['variants']": [
{
"width": 123,
"height": 123,
"fps": 123,
"bitrate": 123,
"iframe_only": True
}
]
}
],
"permissions": {
"hasPresence": True,
"canSend": True,
"canReceive": {},
"canAdmin": True
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
privacy: '<string>',
properties: {
nbf: 123,
exp: 123,
max_participants: 200,
enable_people_ui: true,
enable_cpu_warning_notifications: true,
enable_pip_ui: true,
enable_emoji_reactions: true,
enable_hand_raising: true,
enable_prejoin_ui: true,
enable_live_captions_ui: true,
enable_network_ui: true,
enable_noise_cancellation_ui: true,
enable_breakout_rooms: true,
enable_knocking: true,
enable_screenshare: true,
enable_video_processing_ui: true,
enable_chat: false,
enable_shared_chat_history: true,
start_video_off: false,
start_audio_off: false,
eject_at_room_exp: false,
eject_after_elapsed: 123,
enable_advanced_chat: false,
enable_hidden_participants: false,
enable_mesh_sfu: true,
sfu_switchover: 0.5,
enable_adaptive_simulcast: true,
enable_multiparty_adaptive_simulcast: false,
enforce_unique_user_ids: false,
experimental_optimize_large_calls: true,
lang: 'en',
meeting_join_hook: '<string>',
geo: 'NULL',
rtmp_geo: 'The closest available region to the SFU region used by the meeting.',
disable_rtmp_geo_fallback: false,
recordings_bucket: {
bucket_name: 'my-daily-recording',
bucket_region: 'ap-south-1',
assume_role_arn: 'arn:aws:iam::555555555555:role/DailyS3AccessRole',
allow_api_access: true,
allow_streaming_from_bucket: true
},
enable_terse_logging: false,
auto_transcription_settings: {language: 'de'},
enable_transcription_storage: false,
transcription_bucket: {
bucket_name: 'my-daily-recording',
bucket_region: 'ap-south-1',
assume_role_arn: 'arn:aws:iam::555555555555:role/DailyS3AccessRole',
allow_api_access: true
},
recordings_template: '{domain_name}/{room_name}/{epoch_time}.',
transcription_template: '{domain_name}/{room_name}/{epoch_time}.vtt.',
enable_dialout: false,
dialout_config: {allow_room_start: false, dialout_geo: 'ap-south-1', max_idle_timeout_sec: 0},
streaming_endpoints: [
{
name: 'rtmp_ivs',
type: 'hls',
'hls_config[\'storage\'][\'path\']': 'my-bucket-name/my-folder-name',
'hls_config[\'storage\'][\'path_template\']': '<string>',
'hls_config[\'save_hls_recording\']': true,
'hls_config[\'variants\']': [{width: 123, height: 123, fps: 123, bitrate: 123, iframe_only: true}]
}
],
permissions: {hasPresence: true, canSend: true, canReceive: {}, canAdmin: true}
}
})
};
fetch('https://api.daily.co/v1/rooms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d61cd7b2-a273-42b4-89bd-be763fd562c1",
"name": "w2pp2cf4kltgFACPKXmX",
"api_created": true,
"privacy": "public",
"url": "https://api-demo.daily.co/w2pp2cf4kltgFACPKXmX",
"created_at": "2019-01-26T09:01:22.000Z",
"config": {
"start_video_off": true
}
}{
"error": "invalid-request-error",
"info": "missing required field"
}Rooms
Create Room
Create a room
POST
/
rooms
/rooms
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200
Example:
"d61cd7b2-a273-42b4-89bd-be763fd562c1"
Example:
"w2pp2cf4kltgFACPKXmX"
Example:
true
Example:
"public"
Example:
"https://api-demo.daily.co/w2pp2cf4kltgFACPKXmX"
Example:
"2019-01-26T09:01:22.000Z"
Show child attributes
Show child attributes
⌘I